Name:          rocs
Version:       19.04.3
Release:       1mamba
Summary:       Graph Theory Tool for Professors and Students
Group:         Graphical Desktop/Applications/Educational
Vendor:        openmamba
Distribution:  openmamba
Packager:      Davide Madrisan <davide.madrisan@gmail.com>
URL:           http://www.kde.org/applications/education/rocs
Source:        http://download.kde.org/stable/applications/%{version}/src/rocs-%{version}.tar.xz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libqt5-devel
BuildRequires: libsoprano-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
#Requires:      kde-workspace
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Rocs aims to be a Graph Theory IDE for helping professors to show the results of a graph algorithm and also helping students to do the algorithms.

Features:
 * Canvas for Graph Drawing;
 * IDE for Graph relatedd Programming, using Javascript as it's main laguage, plus the graph library;
 * Nodes, Graphs and Edges are extensible from the scripting interface, so you can do anything you want.

%package -n librocs
Summary:       Runtime files for %{name}
Group:         Graphical Desktop/Libraries/KDE

%description -n librocs
%{summary}.

%package -n librocs-devel
Summary:       Development files for %{name}
Group:         Development/Libraries
Requires:      librocs = %{?epoch:%epoch:}%{version}-%{release}

%description -n librocs-devel
%{summary}.

%prep
%setup -q

%build
%cmake_kde5 -d build
%make \
%ifarch arm
-j1
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%find_lang %{name}5_qt --with-qt --all-name || touch %{name}5_qt.lang

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%posttrans
update-desktop-database -q &>/dev/null
gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
exit 0

%postun
if [ $1 -eq 0 ]; then
   update-desktop-database -q &>/dev/null
   touch --no-create %{_kde5_icondir}/hicolor &>/dev/null
   gtk-update-icon-cache %{_kde5_icondir}/hicolor &>/dev/null
fi
exit 0

%post -n librocs -p /sbin/ldconfig
%postun -n librocs -p /sbin/ldconfig

%files -f %{name}5_qt.lang
%defattr(-,root,root)
%{_kde5_bindir}/%{name}
%{_kde5_datadir}/%{name}
%{_datadir}/applications/org.kde.rocs.desktop
%{_datadir}/icons/hicolor/scalable/actions/*.svgz
%{_datadir}/kxmlgui5/rocs/rocsui.rc
#%dir %{_datadir}/rocsgraphtheory
#%dir %{_datadir}/rocsgraphtheory/qml
#%{_datadir}/rocsgraphtheory/qml/*.qml
%{_kde5_kcfgdir}/%{name}.kcfg
%{_kde5_icondir}/hicolor/scalable/apps/rocs.svgz
%{_datadir}/metainfo/org.kde.rocs.appdata.xml
%{_kde5_icondir}/hicolor/*/apps/rocs.png
%lang(en) %{_kde5_htmldir}/en/%{name}
%lang(ca) %{_datadir}/doc/HTML/ca/rocs
%lang(de) %{_datadir}/doc/HTML/de/rocs
%lang(es) %{_datadir}/doc/HTML/es/rocs
%lang(it) %{_datadir}/doc/HTML/it/rocs
%lang(nl) %{_datadir}/doc/HTML/nl/rocs
%lang(pt) %{_datadir}/doc/HTML/pt/rocs
%lang(pt_BR) %{_datadir}/doc/HTML/pt_BR/rocs
%lang(sv) %{_datadir}/doc/HTML/sv/rocs
%lang(uk) %{_datadir}/doc/HTML/uk/rocs

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/librocsgraphtheory.so.*
%dir %{_libdir}/qt5/plugins/rocs/editorplugins
%{_libdir}/qt5/plugins/rocs/editorplugins/*
%dir %{_libdir}/qt5/plugins/rocs/fileformats
%{_libdir}/qt5/plugins/rocs/fileformats/*.so
%doc AUTHORS

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/rocs
%{_includedir}/rocs/*.h
%{_libdir}/librocsgraphtheory.so

%changelog
* Mon Jul 15 2019 Automatic Build System <autodist@mambasoft.it> 19.04.3-1mamba
- automatic version update by autodist

* Fri Jun 07 2019 Automatic Build System <autodist@mambasoft.it> 19.04.2-1mamba
- automatic version update by autodist

* Sat May 11 2019 Automatic Build System <autodist@mambasoft.it> 19.04.1-1mamba
- automatic version update by autodist

* Sun Apr 21 2019 Automatic Build System <autodist@mambasoft.it> 19.04.0-1mamba
- automatic version update by autodist

* Fri Mar 08 2019 Automatic Build System <autodist@mambasoft.it> 18.12.3-1mamba
- automatic version update by autodist

* Fri Feb 08 2019 Automatic Build System <autodist@mambasoft.it> 18.12.2-1mamba
- automatic version update by autodist

* Sat Jan 12 2019 Automatic Build System <autodist@mambasoft.it> 18.12.1-1mamba
- automatic version update by autodist

* Sun Dec 16 2018 Automatic Build System <autodist@mambasoft.it> 18.12.0-1mamba
- automatic version update by autodist

* Mon Nov 12 2018 Automatic Build System <autodist@mambasoft.it> 18.08.3-1mamba
- automatic version update by autodist

* Fri Oct 12 2018 Automatic Build System <autodist@mambasoft.it> 18.08.2-1mamba
- automatic version update by autodist

* Fri Sep 07 2018 Automatic Build System <autodist@mambasoft.it> 18.08.1-1mamba
- automatic version update by autodist

* Sun Aug 19 2018 Automatic Build System <autodist@mambasoft.it> 18.08.0-1mamba
- automatic version update by autodist

* Fri Jul 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.3-1mamba
- automatic version update by autodist

* Sat Jun 09 2018 Automatic Build System <autodist@mambasoft.it> 18.04.2-1mamba
- automatic version update by autodist

* Sun May 13 2018 Automatic Build System <autodist@mambasoft.it> 18.04.1-1mamba
- automatic version update by autodist

* Sat Apr 28 2018 Automatic Build System <autodist@mambasoft.it> 18.04.0-1mamba
- automatic version update by autodist

* Fri Mar 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.3-1mamba
- automatic version update by autodist

* Fri Feb 09 2018 Automatic Build System <autodist@mambasoft.it> 17.12.2-1mamba
- automatic version update by autodist

* Fri Jan 12 2018 Automatic Build System <autodist@mambasoft.it> 17.12.1-1mamba
- automatic version update by autodist

* Sat Dec 23 2017 Automatic Build System <autodist@mambasoft.it> 17.12.0-1mamba
- automatic version update by autodist

* Fri Nov 10 2017 Automatic Build System <autodist@mambasoft.it> 17.08.3-1mamba
- automatic version update by autodist

* Fri Oct 13 2017 Automatic Build System <autodist@mambasoft.it> 17.08.2-1mamba
- automatic version update by autodist

* Fri Sep 08 2017 Automatic Build System <autodist@mambasoft.it> 17.08.1-1mamba
- automatic version update by autodist

* Fri Aug 25 2017 Automatic Build System <autodist@mambasoft.it> 17.08.0-1mamba
- automatic version update by autodist

* Wed Aug 09 2017 Automatic Build System <autodist@mambasoft.it> 17.04.3-1mamba
- automatic version update by autodist

* Sat Mar 18 2017 Automatic Build System <autodist@mambasoft.it> 16.12.3-1mamba
- automatic version update by autodist

* Fri Feb 10 2017 Automatic Build System <autodist@mambasoft.it> 16.12.2-1mamba
- automatic version update by autodist

* Fri Jan 13 2017 Automatic Build System <autodist@mambasoft.it> 16.12.1-1mamba
- automatic version update by autodist

* Wed Dec 28 2016 Automatic Build System <autodist@mambasoft.it> 16.12.0-1mamba
- automatic version update by autodist

* Fri Nov 11 2016 Automatic Build System <autodist@mambasoft.it> 16.08.3-1mamba
- automatic version update by autodist

* Sun Oct 16 2016 Automatic Build System <autodist@mambasoft.it> 16.08.2-1mamba
- automatic version update by autodist

* Fri Sep 09 2016 Automatic Build System <autodist@mambasoft.it> 16.08.1-1mamba
- automatic version update by autodist

* Sat Aug 27 2016 Automatic Build System <autodist@mambasoft.it> 16.08.0-1mamba
- automatic version update by autodist

* Wed Jun 15 2016 Automatic Build System <autodist@mambasoft.it> 16.04.2-1mamba
- automatic version update by autodist

* Sun Jun 05 2016 Automatic Build System <autodist@mambasoft.it> 16.04.1-1mamba
- automatic version update by autodist

* Sat Apr 30 2016 Automatic Build System <autodist@mambasoft.it> 16.04.0-1mamba
- automatic version update by autodist

* Wed Mar 16 2016 Automatic Build System <autodist@mambasoft.it> 15.12.3-1mamba
- automatic version update by autodist

* Wed Feb 17 2016 Automatic Build System <autodist@mambasoft.it> 15.12.2-1mamba
- automatic version update by autodist

* Wed Jan 13 2016 Automatic Build System <autodist@mambasoft.it> 15.12.1-1mamba
- automatic version update by autodist

* Sun Dec 20 2015 Automatic Build System <autodist@mambasoft.it> 15.12.0-1mamba
- automatic version update by autodist

* Wed Nov 11 2015 Automatic Build System <autodist@mambasoft.it> 15.08.3-1mamba
- automatic version update by autodist

* Wed Oct 14 2015 Automatic Build System <autodist@mambasoft.it> 15.08.2-1mamba
- automatic version update by autodist

* Sun Oct 11 2015 Automatic Build System <autodist@mambasoft.it> 15.08.1-1mamba
- automatic version update by autodist

* Thu Nov 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.3-1mamba
- automatic version update by autodist

* Mon Oct 20 2014 Automatic Build System <autodist@mambasoft.it> 4.14.2-1mamba
- automatic version update by autodist

* Sun Sep 28 2014 Automatic Build System <autodist@mambasoft.it> 4.14.1-1mamba
- automatic version update by autodist

* Fri Aug 22 2014 Automatic Build System <autodist@mambasoft.it> 4.14.0-1mamba
- automatic version update by autodist

* Tue Jul 15 2014 Automatic Build System <autodist@mambasoft.it> 4.13.3-1mamba
- automatic version update by autodist

* Fri Jun 13 2014 Automatic Build System <autodist@mambasoft.it> 4.13.2-1mamba
- automatic version update by autodist

* Mon May 19 2014 Automatic Build System <autodist@mambasoft.it> 4.13.1-1mamba
- automatic version update by autodist

* Thu Apr 17 2014 Automatic Build System <autodist@mambasoft.it> 4.13.0-1mamba
- automatic version update by autodist

* Thu Apr 03 2014 Automatic Build System <autodist@mambasoft.it> 4.12.4-1mamba
- automatic version update by autodist

* Wed Mar 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.3-1mamba
- automatic version update by autodist

* Wed Feb 05 2014 Automatic Build System <autodist@mambasoft.it> 4.12.2-1mamba
- automatic version update by autodist

* Tue Jan 14 2014 Automatic Build System <autodist@mambasoft.it> 4.12.1-1mamba
- automatic version update by autodist

* Thu Dec 19 2013 Automatic Build System <autodist@mambasoft.it> 4.12.0-1mamba
- automatic version update by autodist

* Thu Dec 05 2013 Automatic Build System <autodist@mambasoft.it> 4.11.4-1mamba
- automatic version update by autodist

* Wed Nov 06 2013 Automatic Build System <autodist@mambasoft.it> 4.11.3-1mamba
- automatic version update by autodist

* Wed Oct 02 2013 Automatic Build System <autodist@mambasoft.it> 4.11.2-1mamba
- automatic version update by autodist

* Wed Sep 04 2013 Automatic Build System <autodist@mambasoft.it> 4.11.1-1mamba
- automatic version update by autodist

* Thu Aug 15 2013 Automatic Build System <autodist@mambasoft.it> 4.11.0-1mamba
- automatic version update by autodist

* Tue Jul 02 2013 Automatic Build System <autodist@mambasoft.it> 4.10.5-1mamba
- automatic version update by autodist

* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.4-1mamba
- automatic version update by autodist

* Wed May 08 2013 Automatic Build System <autodist@mambasoft.it> 4.10.3-1mamba
- automatic version update by autodist

* Wed Apr 03 2013 Automatic Build System <autodist@mambasoft.it> 4.10.2-1mamba
- automatic version update by autodist

* Tue Mar 05 2013 Automatic Build System <autodist@mambasoft.it> 4.10.1-1mamba
- automatic version update by autodist

* Fri Feb 15 2013 Automatic Build System <autodist@mambasoft.it> 4.10.0-1mamba
- automatic version update by autodist

* Thu Jan 03 2013 Automatic Build System <autodist@mambasoft.it> 4.9.5-1mamba
- automatic version update by autodist

* Sat Dec 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.9.4-2mamba
- libboost 1.52 mass rebuild

* Wed Dec 05 2012 Automatic Build System <autodist@mambasoft.it> 4.9.4-1mamba
- automatic version update by autodist

* Thu Nov 08 2012 Automatic Build System <autodist@mambasoft.it> 4.9.3-1mamba
- automatic version update by autodist

* Thu Oct 04 2012 Automatic Build System <autodist@mambasoft.it> 4.9.2-1mamba
- automatic version update by autodist

* Thu Sep 06 2012 Automatic Build System <autodist@mambasoft.it> 4.9.1-1mamba
- automatic version update by autodist

* Fri Aug 17 2012 Automatic Build System <autodist@mambasoft.it> 4.9.0-1mamba
- automatic version update by autodist

* Sun Jun 10 2012 Automatic Build System <autodist@mambasoft.it> 4.8.4-1mamba
- automatic version update by autodist

* Sat May 05 2012 Automatic Build System <autodist@mambasoft.it> 4.8.3-1mamba
- automatic version update by autodist

* Sat Apr 07 2012 Automatic Build System <autodist@mambasoft.it> 4.8.2-1mamba
- automatic version update by autodist

* Wed Mar 28 2012 Automatic Build System <autodist@mambasoft.it> 4.8.1-1mamba
- automatic version update by autodist

* Wed Dec 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.4-1mamba
- automatic version update by autodist

* Thu Nov 03 2011 Automatic Build System <autodist@mambasoft.it> 4.7.3-1mamba
- automatic version update by autodist

* Fri Oct 14 2011 Automatic Build System <autodist@mambasoft.it> 4.7.2-1mamba
- automatic version update by autodist

* Sun Oct 09 2011 Davide Madrisan <davide.madrisan@gmail.com> 4.7.1-1mamba
- package created by autospec
